diff --git a/configure.ac b/configure.ac
index ff2e2799..9b099b7f 100644
--- a/configure.ac
+++ b/configure.ac
@@ -721,6 +721,10 @@ AC_OUTPUT(Makefile doc/Makefile doc/pictures/Makefile doc/doxygen.cfg \
 	  src/conf/ucm/broadwell-rt286/Makefile \
 	  src/conf/ucm/broxton-rt298/Makefile \
 	  src/conf/ucm/bytcht-es8316/Makefile \
+	  src/conf/ucm/bytcht-es8316-mono-spk-in1-mic/Makefile \
+	  src/conf/ucm/bytcht-es8316-mono-spk-in2-mic/Makefile \
+	  src/conf/ucm/bytcht-es8316-stereo-spk-in1-mic/Makefile \
+	  src/conf/ucm/bytcht-es8316-stereo-spk-in2-mic/Makefile \
 	  src/conf/ucm/bytcr-rt5640/Makefile \
 	  src/conf/ucm/bytcr-rt5640-mono-spk-dmic1-mic/Makefile \
 	  src/conf/ucm/bytcr-rt5640-mono-spk-in1-mic/Makefile \
diff --git a/src/conf/ucm/Makefile.am b/src/conf/ucm/Makefile.am
index b252f258..ee850ee6 100644
--- a/src/conf/ucm/Makefile.am
+++ b/src/conf/ucm/Makefile.am
@@ -5,6 +5,10 @@ ASUSTeKCOMPUTERINC.-T100HAN-1.0-T100HAN \
 broadwell-rt286 \
 broxton-rt298 \
 bytcht-es8316 \
+bytcht-es8316-mono-spk-in1-mic \
+bytcht-es8316-mono-spk-in2-mic \
+bytcht-es8316-stereo-spk-in1-mic \
+bytcht-es8316-stereo-spk-in2-mic \
 bytcr-rt5640 \
 bytcr-rt5640-mono-spk-dmic1-mic \
 bytcr-rt5640-mono-spk-in1-mic \
diff --git a/src/conf/ucm/bytcht-es8316-mono-spk-in1-mic/HiFi.conf b/src/conf/ucm/bytcht-es8316-mono-spk-in1-mic/HiFi.conf
new file mode 100644
index 00000000..97899495
--- /dev/null
+++ b/src/conf/ucm/bytcht-es8316-mono-spk-in1-mic/HiFi.conf
@@ -0,0 +1,23 @@
+SectionVerb {
+	EnableSequence [
+		cdev "hw:bytchtes8316"
+		<platforms/bytcr/PlatformEnableSeq.conf>
+		<codecs/es8316/EnableSeq.conf>
+	]
+
+	DisableSequence [
+		cdev "hw:bytchtes8316"
+		<platforms/bytcr/PlatformDisableSeq.conf>
+	]
+
+	Value {
+		PlaybackPCM "hw:bytchtes8316"
+		CapturePCM "hw:bytchtes8316"
+	}
+}
+
+<codecs/es8316/MonoSpeaker.conf>
+<codecs/es8316/HeadPhones.conf>
+
+<codecs/es8316/IN1-InternalMic.conf>
+<codecs/es8316/IN2-HeadsetMic.conf>
diff --git a/src/conf/ucm/bytcht-es8316-mono-spk-in1-mic/Makefile.am b/src/conf/ucm/bytcht-es8316-mono-spk-in1-mic/Makefile.am
new file mode 100644
index 00000000..420592fc
--- /dev/null
+++ b/src/conf/ucm/bytcht-es8316-mono-spk-in1-mic/Makefile.am
@@ -0,0 +1,4 @@
+alsaconfigdir = @ALSA_CONFIG_DIR@
+ucmdir = $(alsaconfigdir)/ucm/bytcht-es8316-mono-spk-in1-mic
+ucm_DATA = bytcht-es8316-mono-spk-in1-mic.conf HiFi.conf
+EXTRA_DIST = $(ucm_DATA)
diff --git a/src/conf/ucm/bytcht-es8316-mono-spk-in1-mic/bytcht-es8316-mono-spk-in1-mic.conf b/src/conf/ucm/bytcht-es8316-mono-spk-in1-mic/bytcht-es8316-mono-spk-in1-mic.conf
new file mode 100644
index 00000000..26d82ead
--- /dev/null
+++ b/src/conf/ucm/bytcht-es8316-mono-spk-in1-mic/bytcht-es8316-mono-spk-in1-mic.conf
@@ -0,0 +1,8 @@
+SectionUseCase."HiFi" {
+	File "../bytcht-es8316-mono-spk-in1-mic/HiFi.conf"
+	Comment "Play HiFi quality Music"
+}
+
+SectionDefaults [
+	cdev "hw:bytchtes8316"
+]
diff --git a/src/conf/ucm/bytcht-es8316-mono-spk-in2-mic/HiFi.conf b/src/conf/ucm/bytcht-es8316-mono-spk-in2-mic/HiFi.conf
new file mode 100644
index 00000000..2821eb51
--- /dev/null
+++ b/src/conf/ucm/bytcht-es8316-mono-spk-in2-mic/HiFi.conf
@@ -0,0 +1,23 @@
+SectionVerb {
+	EnableSequence [
+		cdev "hw:bytchtes8316"
+		<platforms/bytcr/PlatformEnableSeq.conf>
+		<codecs/es8316/EnableSeq.conf>
+	]
+
+	DisableSequence [
+		cdev "hw:bytchtes8316"
+		<platforms/bytcr/PlatformDisableSeq.conf>
+	]
+
+	Value {
+		PlaybackPCM "hw:bytchtes8316"
+		CapturePCM "hw:bytchtes8316"
+	}
+}
+
+<codecs/es8316/MonoSpeaker.conf>
+<codecs/es8316/HeadPhones.conf>
+
+<codecs/es8316/IN1-HeadsetMic.conf>
+<codecs/es8316/IN2-InternalMic.conf>
diff --git a/src/conf/ucm/bytcht-es8316-mono-spk-in2-mic/Makefile.am b/src/conf/ucm/bytcht-es8316-mono-spk-in2-mic/Makefile.am
new file mode 100644
index 00000000..939c8b7d
--- /dev/null
+++ b/src/conf/ucm/bytcht-es8316-mono-spk-in2-mic/Makefile.am
@@ -0,0 +1,4 @@
+alsaconfigdir = @ALSA_CONFIG_DIR@
+ucmdir = $(alsaconfigdir)/ucm/bytcht-es8316-mono-spk-in2-mic
+ucm_DATA = bytcht-es8316-mono-spk-in2-mic.conf HiFi.conf
+EXTRA_DIST = $(ucm_DATA)
diff --git a/src/conf/ucm/bytcht-es8316-mono-spk-in2-mic/bytcht-es8316-mono-spk-in2-mic.conf b/src/conf/ucm/bytcht-es8316-mono-spk-in2-mic/bytcht-es8316-mono-spk-in2-mic.conf
new file mode 100644
index 00000000..b9885c2d
--- /dev/null
+++ b/src/conf/ucm/bytcht-es8316-mono-spk-in2-mic/bytcht-es8316-mono-spk-in2-mic.conf
@@ -0,0 +1,8 @@
+SectionUseCase."HiFi" {
+	File "../bytcht-es8316-mono-spk-in2-mic/HiFi.conf"
+	Comment "Play HiFi quality Music"
+}
+
+SectionDefaults [
+	cdev "hw:bytchtes8316"
+]
diff --git a/src/conf/ucm/bytcht-es8316-stereo-spk-in1-mic/HiFi.conf b/src/conf/ucm/bytcht-es8316-stereo-spk-in1-mic/HiFi.conf
new file mode 100644
index 00000000..9f1801c9
--- /dev/null
+++ b/src/conf/ucm/bytcht-es8316-stereo-spk-in1-mic/HiFi.conf
@@ -0,0 +1,23 @@
+SectionVerb {
+	EnableSequence [
+		cdev "hw:bytchtes8316"
+		<platforms/bytcr/PlatformEnableSeq.conf>
+		<codecs/es8316/EnableSeq.conf>
+	]
+
+	DisableSequence [
+		cdev "hw:bytchtes8316"
+		<platforms/bytcr/PlatformDisableSeq.conf>
+	]
+
+	Value {
+		PlaybackPCM "hw:bytchtes8316"
+		CapturePCM "hw:bytchtes8316"
+	}
+}
+
+<codecs/es8316/Speaker.conf>
+<codecs/es8316/HeadPhones.conf>
+
+<codecs/es8316/IN1-InternalMic.conf>
+<codecs/es8316/IN2-HeadsetMic.conf>
diff --git a/src/conf/ucm/bytcht-es8316-stereo-spk-in1-mic/Makefile.am b/src/conf/ucm/bytcht-es8316-stereo-spk-in1-mic/Makefile.am
new file mode 100644
index 00000000..d3fbb9e9
--- /dev/null
+++ b/src/conf/ucm/bytcht-es8316-stereo-spk-in1-mic/Makefile.am
@@ -0,0 +1,4 @@
+alsaconfigdir = @ALSA_CONFIG_DIR@
+ucmdir = $(alsaconfigdir)/ucm/bytcht-es8316-stereo-spk-in1-mic
+ucm_DATA = bytcht-es8316-stereo-spk-in1-mic.conf HiFi.conf
+EXTRA_DIST = $(ucm_DATA)
diff --git a/src/conf/ucm/bytcht-es8316-stereo-spk-in1-mic/bytcht-es8316-stereo-spk-in1-mic.conf b/src/conf/ucm/bytcht-es8316-stereo-spk-in1-mic/bytcht-es8316-stereo-spk-in1-mic.conf
new file mode 100644
index 00000000..9bd32664
--- /dev/null
+++ b/src/conf/ucm/bytcht-es8316-stereo-spk-in1-mic/bytcht-es8316-stereo-spk-in1-mic.conf
@@ -0,0 +1,8 @@
+SectionUseCase."HiFi" {
+	File "../bytcht-es8316-stereo-spk-in1-mic/HiFi.conf"
+	Comment "Play HiFi quality Music"
+}
+
+SectionDefaults [
+	cdev "hw:bytchtes8316"
+]
diff --git a/src/conf/ucm/bytcht-es8316-stereo-spk-in2-mic/HiFi.conf b/src/conf/ucm/bytcht-es8316-stereo-spk-in2-mic/HiFi.conf
new file mode 100644
index 00000000..00d4b7fe
--- /dev/null
+++ b/src/conf/ucm/bytcht-es8316-stereo-spk-in2-mic/HiFi.conf
@@ -0,0 +1,23 @@
+SectionVerb {
+	EnableSequence [
+		cdev "hw:bytchtes8316"
+		<platforms/bytcr/PlatformEnableSeq.conf>
+		<codecs/es8316/EnableSeq.conf>
+	]
+
+	DisableSequence [
+		cdev "hw:bytchtes8316"
+		<platforms/bytcr/PlatformDisableSeq.conf>
+	]
+
+	Value {
+		PlaybackPCM "hw:bytchtes8316"
+		CapturePCM "hw:bytchtes8316"
+	}
+}
+
+<codecs/es8316/Speaker.conf>
+<codecs/es8316/HeadPhones.conf>
+
+<codecs/es8316/IN1-HeadsetMic.conf>
+<codecs/es8316/IN2-InternalMic.conf>
diff --git a/src/conf/ucm/bytcht-es8316-stereo-spk-in2-mic/Makefile.am b/src/conf/ucm/bytcht-es8316-stereo-spk-in2-mic/Makefile.am
new file mode 100644
index 00000000..f92fab48
--- /dev/null
+++ b/src/conf/ucm/bytcht-es8316-stereo-spk-in2-mic/Makefile.am
@@ -0,0 +1,4 @@
+alsaconfigdir = @ALSA_CONFIG_DIR@
+ucmdir = $(alsaconfigdir)/ucm/bytcht-es8316-stereo-spk-in2-mic
+ucm_DATA = bytcht-es8316-stereo-spk-in2-mic.conf HiFi.conf
+EXTRA_DIST = $(ucm_DATA)
diff --git a/src/conf/ucm/bytcht-es8316-stereo-spk-in2-mic/bytcht-es8316-stereo-spk-in2-mic.conf b/src/conf/ucm/bytcht-es8316-stereo-spk-in2-mic/bytcht-es8316-stereo-spk-in2-mic.conf
new file mode 100644
index 00000000..a94f0f70
--- /dev/null
+++ b/src/conf/ucm/bytcht-es8316-stereo-spk-in2-mic/bytcht-es8316-stereo-spk-in2-mic.conf
@@ -0,0 +1,8 @@
+SectionUseCase."HiFi" {
+	File "../bytcht-es8316-stereo-spk-in2-mic/HiFi.conf"
+	Comment "Play HiFi quality Music"
+}
+
+SectionDefaults [
+	cdev "hw:bytchtes8316"
+]